using System;
using System.Runtime.InteropServices;

namespace StructBenchmark
{
	[StructLayout(LayoutKind.Explicit)]
	struct ExplicitStructure
	{
		[FieldOffset(0)]
		public int Int32;
		[FieldOffset(0)]
		public short Int16;
		[FieldOffset(0)]
		public byte Int8;
	}
}
